/* Generated from Telepathy D-Bus Interface Specification, version 0.17.0

Copyright (C) 2005, 2006, 2007 Collabora Limited
Copyright (C) 2005, 2006, 2007 Nokia Corporation
Copyright (C) 2006 INdT

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


 */

#ifdef __cplusplus
extern "C" {
#endif


/**
 * TpChannelHoldState:
 * @TP_CHANNEL_HOLD_STATE_NONE: <![CDATA[             Neither the local user and the remote member are on hold, and media             is being sent bidirectionally.       ]]>
 * @TP_CHANNEL_HOLD_STATE_SEND_ONLY: <![CDATA[             The local user has put the remote member on hold, so is sending             media but has arranged not to receive any media streams.       ]]>
 * @TP_CHANNEL_HOLD_STATE_RECV_ONLY: <![CDATA[             The user has been put on hold by the remote member, so is receiving             media but has arranged not to send any media streams.       ]]>
 * @TP_CHANNEL_HOLD_STATE_BOTH: <![CDATA[             Both the local user and the remote member have agreed not to send             any media streams to each other.       ]]>
 *
 * Enumeration generated from the Telepathy specification.
 */
typedef enum {
    TP_CHANNEL_HOLD_STATE_NONE = 0,
    TP_CHANNEL_HOLD_STATE_SEND_ONLY = 1,
    TP_CHANNEL_HOLD_STATE_RECV_ONLY = 2,
    TP_CHANNEL_HOLD_STATE_BOTH = 3,
} TpChannelHoldState;

/**
 * NUM_TP_CHANNEL_HOLD_STATES:
 *
 * 1 higher than the highest valid value of #TpChannelHoldState.
 */
#define NUM_TP_CHANNEL_HOLD_STATES (3+1)



#ifdef __cplusplus
}
#endif

